Get Status
curl --request GET \
--url https://api.roissingue.com/v1/status/{supertxHash}import requests
url = "https://api.roissingue.com/v1/status/{supertxHash}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.roissingue.com/v1/status/{supertxHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commitment": "0x188156c67fa485afec01ca5971a4a31c3e685d8fd918685527c18554a3d0624f40ee17954db6bd95ee1b2077ca294113c9c52f2b266d20ef7cfc0944dc5eb8701b",
"itxHash": "0x42ffc9828c22a66b7a3185d4986356c704a09dc344a828379ca2e6b3acd81d54",
"node": "0x4b19129EA58431A06D01054f69AcAe5de50633b6",
"paymentInfo": {
"callGasLimit": "75000",
"chainId": "10",
"eoa": "0x6eBf2153f931334714984c7F5a8E574207927Cc7",
"gasFee": "0.000246",
"initCode": "0x",
"nonce": "102639721097583983217535643021692796083602909243952289537519678420636210823168",
"orchestrationFee": "0.010000",
"sender": "0xDc8fbe25200E4DB2277112FFB4Af9f3c7832dD68",
"shortEncoding": false,
"sponsored": false,
"token": "0x0b2C639c533813f4Aa9D7837CAf62653d097Ff85",
"tokenAmount": "0.010246",
"tokenValue": "0.010246",
"tokenWeiAmount": "10246",
"verificationGasLimit": "150000"
},
"trigger": {
"amount": "100000",
"chainId": "10",
"token": "0x0000000000000000000000000b2c639c533813f4aa9d7837caf62653d097ff85"
},
"userOps": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get transaction status
GET
/
v1
/
status
/
{supertxHash}
Get Status
Path Parameters
Response
Successful Response
- StatusOut
- Response Get Status V1 Status Supertxhash Get
Complete super transaction details including payment info, user operations, and trigger.
Payment information for a user operation including gas and token details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Trigger condition for a super transaction based on token amount and chain.
Show child attributes
Show child attributes
⌘I
